#ifndef ID3_H_LOADED
#define ID3_H_LOADED 1

#include <stdio.h>
#include "mp3x.h"

struct id3v2_header {
    const char *id;    /* pointer to 4 characters */
    size_t size; /* size in header; ie excluding 10 bytes of header */
    uint16_t flags;
    cbyte *value;
    char deleted;               /* true if this header is deleted */
};

MP3Info *read_id3_headers(MP3Info*,
                          const int read_tag_contents);
void read_id3_header_verbosity(int v);
void print_id3_frame(struct id3v2_header*, FILE *);
int add_id3_header_text(MP3Info* headers,
                        const char* tag,
                        const char* payload);
const MP3Info* write_header_and_file(const MP3Info* h,
                                     const char* new_file,
                                     const char** actual_new_file);

#endif /* ID3_H_LOADED */
