#! /bin/sh -

PROG=../mp3x
logfile=test-scanning.log

test_mp3 () {
    fn=$1
    stat=0
    out=`echo $fn | sed 's/\.mp[3g]$//'`
    # echo $PROG -v $fn \>$out.out
    $PROG -vv $fn >$out.out
    # Simple test: check the output is identical to a nominal test file
    if diff $out.out $out.correct >$out.diff; then
        rm $out.out $out.diff
    else
        echo "Test $out failed: diffs in $out.diff" >>$logfile
        stat=1
    fi
    return $stat
}

rm -f $logfile
touch $logfile

# Run the test for each of the MPEG files in the tree
#find . -name \*.mp3 -or -name \*.mpg | sed '/tmp/d' | while read fn; do test_mp3 $fn; done
find . -name \*.mp3 -or -name \*.mpg | sed '/tmp/d' | while read fn; do test_mp3 $fn || break; done

# Report the results
if test -s "$logfile"; then
    echo "FAIL: some scanning tests failed"
    cat $logfile
    status=1
else
    #echo "All scanning tests pass"
    rm -f $logfile
    status=0
fi

exit $status
